commit:     a51890c8496984b6e774706bcdb05ff72bc8c4ce
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 20 02:32:16 2018 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Sep 20 02:32:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a51890c8

dev-lang/php: Recent mysqlnd driver needs hash extension

Set REQUIRED_USE on mysql and mysqli to need hash as build failures occur 
without.

Example:
ext/mysqlnd/mysqlnd_auth.o: In function `php_mysqlnd_scramble_sha2':
mysqlnd_auth.c:(.text+0x1054): undefined reference to `PHP_SHA256Init'

Does not affect PHP 5.6 or 7.0 as they are security only

Closes: https://bugs.gentoo.org/666598

 dev-lang/php/php-7.1.22.ebuild | 3 ++-
 dev-lang/php/php-7.2.10.ebuild | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/dev-lang/php/php-7.1.22.ebuild b/dev-lang/php/php-7.1.22.ebuild
index 4d86e54abb4..feba2bb1708 100644
--- a/dev-lang/php/php-7.1.22.ebuild
+++ b/dev-lang/php/php-7.1.22.ebuild
@@ -142,7 +142,8 @@ REQUIRED_USE="
        readline? ( !libedit )
        recode? ( !imap !mysqli !mysql )
        session-mm? ( session !threads )
-       mysql? ( || ( mysqli pdo ) )
+       mysql? ( hash || ( mysqli pdo ) )
+       mysqli? ( hash )
 "
 PATCHES=(
        "${FILESDIR}/php-freetype-2.9.1.patch"

diff --git a/dev-lang/php/php-7.2.10.ebuild b/dev-lang/php/php-7.2.10.ebuild
index 4b8bb35fe16..8056b502a1f 100644
--- a/dev-lang/php/php-7.2.10.ebuild
+++ b/dev-lang/php/php-7.2.10.ebuild
@@ -146,7 +146,8 @@ REQUIRED_USE="
        readline? ( !libedit )
        recode? ( !imap !mysqli !mysql )
        session-mm? ( session !threads )
-       mysql? ( || ( mysqli pdo ) )
+       mysql? ( hash || ( mysqli pdo ) )
+       mysqli? ( hash )
        zip-encryption? ( zip )
 "
 PATCHES=(

Reply via email to